Subject: bug#77805: new snapshot available: m4-1.4.19.60-6ebfc.tar.xz

From: Collin Funk <[email-masked]>
Date: Sun, 18 May 2025 15:50:18 -0700

Hi Karl,

Karl Berry <[email-masked]> writes:

> Does anyone have a BSD system (any flavor) I could get access to?
>
> Alternatively, attached is my unreleased version of mdate-sh which tries
> to handle SOURCE_DATE_EPOCH. It seems to work ok with GNU date. I copied
> the BSD date command (date -u -r ...) from
> https://reproducible-builds.org/docs/source-date-epoch/ but have no way
> to test. E.g.:
>   SOURCE_DATE_EPOCH=123456 ./mdate-sh /tmp
> should output
>   2 January 1970
>
> I also don't know if there are other date commands that must be
> supported, or if it's worth falling back to Perl, or what.
>
> Suggestions, advice, testing?

You can sign-up for the GCC Compile Farm and get access to many
different BSD systems [1]. The list of platforms is here [2].

Usually I do that, or just create a virtual machine which works well for
most things.

I'll have a look at running your test in the meantime.

Collin

[1] https://portal.cfarm.net/users/new/
[2] https://portal.cfarm.net/machines/list/